Skip to content
Start here

Create custom entry

client.ZeroTrust.DLP.Entries.New(ctx, params) (*DLPEntryNewResponse, error)
POST/accounts/{account_id}/dlp/entries

Creates a DLP custom entry.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
params DLPEntryNewParams
AccountID param.Field[string]

Path param

Enabled param.Field[bool]

Body param

Name param.Field[string]

Body param

Pattern param.Field[Pattern]

Body param

Description param.Field[string]optional

Body param

ProfileID param.Field[string]optional

Body param

formatuuid
ReturnsExpand Collapse
type DLPEntryNewResponse struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
DeprecatedEnabled bool
Name string
Pattern Pattern
Regex string
DeprecatedValidation PatternValidationoptional
UpdatedAt Time
formatdate-time
Description stringoptional
DeprecatedProfileID stringoptional
formatuuid

Create custom entry

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  entry, err := client.ZeroTrust.DLP.Entries.New(context.TODO(), zero_trust.DLPEntryNewParams{
    AccountID: cloudflare.F("account_id"),
    Enabled: cloudflare.F(true),
    Name: cloudflare.F("name"),
    Pattern: cloudflare.F(zero_trust.PatternParam{
      Regex: cloudflare.F("regex"),
    }),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", entry.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "pattern": {
      "regex": "regex",
      "validation": "luhn"
    },
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "pattern": {
      "regex": "regex",
      "validation": "luhn"
    },
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  }
}